Subject: bug#7135: 24.0.50; Mac OS X X11: emacsclient cannot find server from remote login

From: Bob Nnamtrop <[email-masked]>
Date: Wed, 29 Sep 2010 13:45:27 -0600

After sending this bug report I noticed bug # 3992 that mentions that
the system variable TMPDIR is not set when logging in remotely and
suggests setting in .bashrc it with:

if [ -z "$TMPDIR" ]; then
  export TMPDIR=`getconf DARWIN_USER_TEMP_DIR`
fi

I can confirm that this fixes the problem and I have sumbitted a bug
report to Apple to set TMPDIR when logging in remotely.  However, I
wonder if emacsclient could check if TMPDIR is set and if not set it
with the above command so this problem is fixed within emacs.

Bob